> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# appointmentcategory

## "appointmentcategory" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AppointmentCategoryListProvider">AppointmentCategoryListProvider</see> class.
The name of the MDO list is 'appointmentcategory'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/appointmentcategory
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("appointmentcategory", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 1  | Meeting   |           |           |
| 2  | Follow-up |           |           |
| 3  | To-do     |           |           |

## Related MDO Lists

* "appointmentcategoryheadings"
* "appointmentcategoryheadingswithallitem"
* "appointmentcategoryheadingswithallitemwithnoselection"
* "appointmentcategoryheadingswithnoselection"
* "appointmentcategorywithallitem"
* "appointmentcategorywithallitemwithnoselection"
* "appointmentcategorywithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
